Kwalitee Issues


Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.


Add a README to the distribution. It should contain a quick description of your module and how to install it.


Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: Mail-Bulkmail-3.12/Bulkmail/ -- Around line 1481: =cut found outside a pod block. Skipping to next block. Mail-Bulkmail-3.12/ -- Around line 131: You can't have =items (as at line 147) unless the first thing after the =over is an =item


Add a META.json to the distribution. Your buildtool should be able to autogenerate it.


Add tests or move to the t/ directory!


Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.


This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.


Name Abstract Version View
Mail::Bulkmail Platform independent mailing list module 3.12 metacpan
Mail::Bulkmail::DummyServer dummy class for dummy server objects 3.12 metacpan
Mail::Bulkmail::Dynamic platform independent mailing list module for mail merges and dynamically built messages 3.12 metacpan
Mail::Bulkmail::Object used to create subclasses for Mail::Bulkmail. 3.12 metacpan
Mail::Bulkmail::Server handles server connections and communication for Mail::Bulkmail 3.12 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
Makefile.PL metacpan